// [[file:../../aesthetics.org::*=js/sw.js= -- Service Worker for Progressive Web App][=js/sw.js= -- Service Worker for Progressive Web App:1]]
const cacheName = 'lipu-kasi';
const filesToCache = [
  '/',
  '/css/app.css',
  '/css/foundation.css',
  '/css/aesthetics.css',
];

self.addEventListener('install', function(e) {
  console.log('[lipu kasi Service Worker] Installing');
  e.waitUntil(
    caches.open(cacheName).then(function(cache) {
      console.log('[lipu kasi Service Worker] Caching files for app');
      return cache.addAll(filesToCache);
    })
  );
});

self.addEventListener('activate', event => {
  event.waitUntil(self.clients.claim());
});

self.addEventListener('fetch', event => {
  if (event.request.method !== 'POST') {
    event.respondWith(
      fetch(event.request).catch(function() {
        return caches.match(event.request);
      })
    );
  } else {
    event.respondWith(fetch(event.request));
  }
})
// =js/sw.js= -- Service Worker for Progressive Web App:1 ends here
